Skip to main content
`Ctrl`+`K`

# PetscDSCopyConstants

Copy all constants set with `PetscDSSetConstants()` to another `PetscDS`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSCopyConstants(PetscDS prob, PetscDS newprob)

Not Collective

## Input Parameter

- prob - The `PetscDS` object

## Output Parameter

- newprob - The `PetscDS` copy

## See Also

`PetscDS`, `PetscDSCopyBoundary()`, `PetscDSCopyEquations()`, `PetscDSSetResidual()`, `PetscDSSetJacobian()`, `PetscDSSetRiemannSolver()`, `PetscDSSetBdResidual()`, `PetscDSSetBdJacobian()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages